﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Silverlight.Testing;
using Microsoft.VisualStudio.TestTools.UnitTesting;

using System.Linq;
using IdeaBlade.Core;
using IdeaBlade.EntityModel;
using IdeaBlade.Linq;
using IdeaBlade.Validation;
using SilverlightConsole;

namespace SilverlightTest {
  [TestClass]
  public class Tests: Microsoft.Silverlight.Testing.SilverlightTest {
    
    [TestMethod]
    [Asynchronous]
    [Tag("Fetch")] // optional
    public void TestMethod1() {
      NorthwindIBModelManager mgr = new NorthwindIBModelManager();
      var query = mgr.Customers.Where(c => c.Country == "France");
      mgr.ExecuteQueryAsync<Customer>(query, GotCustomers, null);
    }

    public void GotCustomers(EntityQueryOperation<Customer> args) {
      Assert.IsTrue(args.Results.Count() > 0, "Expected to find some French customers");
      base.TestComplete();
    }

  }
}