﻿
Imports System
Imports System.Net
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Documents
Imports System.Windows.Ink
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Animation
Imports System.Windows.Shapes
Imports Microsoft.Silverlight.Testing
Imports Microsoft.VisualStudio.TestTools.UnitTesting

Imports System.Linq
Imports IdeaBlade.Core
Imports IdeaBlade.EntityModel
Imports IdeaBlade.Linq
Imports IdeaBlade.Validation
Imports SilverlightConsole

Namespace SilverlightTest
  <TestClass()> _
  Public Class Tests
    Inherits Microsoft.Silverlight.Testing.SilverlightTest

    <TestMethod()> _
    <Asynchronous()> _
    <Tag("Fetch")> _
    Public Sub TestMethod1()
      Dim mgr As NorthwindIBModelManager = New NorthwindIBModelManager()
      Dim query = mgr.Customers.Where(Function(c) c.Country = "France")
      mgr.ExecuteQueryAsync(Of Customer)(query, AddressOf GotCustomers, Nothing)
    End Sub

    Public Sub GotCustomers(ByVal args As EntityQueryOperation(Of Customer))
      Assert.IsTrue(args.Results.Count() > 0, "Expected to find some French customers")
      MyBase.TestComplete()
    End Sub

  End Class
End Namespace